Class 'Pimcore\Bootstrap' not found when migrating from Pimcore4


#1

I’m trying to upgrade/migrate my Pimcore 4 install to Pimcore 5 using the Pimcore-cli migration scripts but am running into problems.

When I try running bin/console pimcore:generate:bundle --namespace AppBundle I get the ‘Pimcore\Bootstrap’ not found error. I had a look through the code base and realised that the vendor/pimcore/pimcore didn’t exist even though I have run the initial pimcore5:migrate:filesystem command. I actually have the cli scripts outside of the pimcore4 folder and ran the migrate with the full server path to it.

I then decided to copy the main vendor/pimcore/pimcore folder from a separate Pimcore5 install into the one I’m trying to migrate and added the path to it’s lib folder to my main system path but still get the same issue.

Has anyone got any ideas on how I can fix this and finalise the migration?


Pimcore 4.6 to 5.0 Migration PHP Error: Class 'Pimcore\Bootstrap' not found in filepath/bin/console
#2

I sorted this out. In the end, I was following the instructions in https://github.com/pimcore/pimcore-cli/blob/master/doc/pimcore_5_migration.md instead of following the initial steps in https://pimcore.com/docs/5.x/Development_Documentation/Installation_and_Upgrade/Updating_Pimcore/Upgrade_from_4_to_5/index.html

Once I’d followed the correct steps it worked fine. Luckily it’s only a small blog application at the moment so converting it over to Symfony was pretty straightforward.


#3

Which initial steps are you refering to? this one

  1. Get your application up and running with the Compatibility Bridge of Pimcore 5

Because in the migration guide it says to follow the steps mentioned here


#4

I realised that before you follow the steps from the CLI, you need to look at https://pimcore.com/docs/5.x/Development_Documentation/Installation_and_Upgrade/Updating_Pimcore/Upgrade_from_4_to_5/Basic_Migration.html which details the initial steps that are needed.